[gentoo-commits] repo/proj/guru:master commit in: media-sound/loudgain/

2024-01-13 Thread Arthur Zamarin
commit: e19fc477b916f87a5514e374064f964009e76470
Author: YOSHIOKA Takuma  hard-wi  red>
AuthorDate: Sat Jan 13 16:14:41 2024 +
Commit: Arthur Zamarin  gentoo  org>
CommitDate: Sat Jan 13 16:14:41 2024 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e19fc477

media-sound/loudgain: restrict ffmpeg dep to <5

It seems like `av_register_all` is not available in ffmpeg-6, and
I'm not sure loudgain would work without issues with ffmpeg-6.

Closes: https://bugs.gentoo.org/922026
Signed-off-by: YOSHIOKA Takuma  hard-wi.red>

 .../loudgain/{loudgain-0.6.8.ebuild => loudgain-0.6.8-r1.ebuild}  | 8 +++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/media-sound/loudgain/loudgain-0.6.8.ebuild 
b/media-sound/loudgain/loudgain-0.6.8-r1.ebuild
similarity index 62%
rename from media-sound/loudgain/loudgain-0.6.8.ebuild
rename to media-sound/loudgain/loudgain-0.6.8-r1.ebuild
index 550bb844e6..44e8048d0e 100644
--- a/media-sound/loudgain/loudgain-0.6.8.ebuild
+++ b/media-sound/loudgain/loudgain-0.6.8-r1.ebuild
@@ -15,8 +15,14 @@ KEYWORDS="~amd64 ~x86"
 IUSE=""
 #REQUIRED_USE=""
 
+# Bug 922026: `av_register_all` is deprecated and maybe not present in ffmpeg-6
+# (changelog: 
).
+#  says 
these
+# functions "don't do anything" so simply removing these call would work. 
However,
+# loudgain is not updated for some years and I (ebuild maintainer) am not sure
+# if it would work with ffmpeg-6, so restricting to 

[gentoo-commits] repo/proj/guru:master commit in: media-sound/loudgain/

2022-12-29 Thread Viorel Munteanu
commit: 711b8793272e69a1737fa1a7408a379d3c33d6fe
Author: YOSHIOKA Takuma  hard-wi  red>
AuthorDate: Thu Dec 29 12:14:16 2022 +
Commit: Viorel Munteanu  gentoo  org>
CommitDate: Thu Dec 29 12:14:16 2022 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=711b8793

media-sound/loudgain: remove the debug flag `-g`

Closes: https://bugs.gentoo.org/887783
Signed-off-by: YOSHIOKA Takuma  hard-wi.red>

 media-sound/loudgain/loudgain-0.6.8.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/media-sound/loudgain/loudgain-0.6.8.ebuild 
b/media-sound/loudgain/loudgain-0.6.8.ebuild
index 9ad6f1468..550bb844e 100644
--- a/media-sound/loudgain/loudgain-0.6.8.ebuild
+++ b/media-sound/loudgain/loudgain-0.6.8.ebuild
@@ -26,6 +26,7 @@ DEPEND="${COMMON_DEPEND}"
 src_prepare() {
sed -e 's/^SET(CMAKE_C_FLAGS "/SET(CMAKE_C_FLAGS "${CMAKE_C_CFLAGS} /' \
-e 's/^SET(CMAKE_CXX_FLAGS "/SET(CMAKE_CXX_FLAGS 
"${CMAKE_CXX_FLAGS} /' \
+   -e 's/^\(\s*COMPILE_FLAGS.*\) -g\([\s"]\)$/\1\2/' \
-i CMakeLists.txt || die "cannot patch CMakeLists.txt"
cat CMakeLists.txt
 



[gentoo-commits] repo/proj/guru:master commit in: media-sound/loudgain/

2021-04-08 Thread Andrew Ammerlaan
commit: 455cb9729ca445c1c461cae41e3abc5953a1ceeb
Author: YOSHIOKA Takuma  hard-wi  red>
AuthorDate: Thu Apr  8 17:15:34 2021 +
Commit: Andrew Ammerlaan  riseup  net>
CommitDate: Thu Apr  8 17:15:34 2021 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=455cb972

media-sound/loudgain: Respect user-specified {C,CXX}FLAGS

Closes: https://bugs.gentoo.org/781170
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: YOSHIOKA Takuma  hard-wi.red>

 media-sound/loudgain/loudgain-0.6.8.ebuild | 11 ++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/media-sound/loudgain/loudgain-0.6.8.ebuild 
b/media-sound/loudgain/loudgain-0.6.8.ebuild
index e0cc90479..9ad6f1468 100644
--- a/media-sound/loudgain/loudgain-0.6.8.ebuild
+++ b/media-sound/loudgain/loudgain-0.6.8.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -23,6 +23,15 @@ COMMON_DEPEND="
 RDEPEND="${COMMON_DEPEND}"
 DEPEND="${COMMON_DEPEND}"
 
+src_prepare() {
+   sed -e 's/^SET(CMAKE_C_FLAGS "/SET(CMAKE_C_FLAGS "${CMAKE_C_CFLAGS} /' \
+   -e 's/^SET(CMAKE_CXX_FLAGS "/SET(CMAKE_CXX_FLAGS 
"${CMAKE_CXX_FLAGS} /' \
+   -i CMakeLists.txt || die "cannot patch CMakeLists.txt"
+   cat CMakeLists.txt
+
+   cmake_src_prepare
+}
+
 src_install() {
cmake_src_install
dodoc README.md



[gentoo-commits] repo/proj/guru:master commit in: media-sound/loudgain/

2020-09-15 Thread Andrew Ammerlaan
commit: 40cd3b6f80e98d820ab0e4909477ed9113ab22d8
Author: YOSHIOKA Takuma  hard-wi  red>
AuthorDate: Sun Sep 13 09:45:39 2020 +
Commit: Andrew Ammerlaan  riseup  net>
CommitDate: Sun Sep 13 11:24:01 2020 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=40cd3b6f

media-sound/loudgain: new package

Package-Manager: Portage-3.0.6, Repoman-3.0.1
Signed-off-by: YOSHIOKA Takuma  hard-wi.red>

 media-sound/loudgain/Manifest  |  1 +
 media-sound/loudgain/loudgain-0.6.8.ebuild | 29 +
 media-sound/loudgain/metadata.xml  | 14 ++
 3 files changed, 44 insertions(+)

diff --git a/media-sound/loudgain/Manifest b/media-sound/loudgain/Manifest
new file mode 100644
index ..91a312e0
--- /dev/null
+++ b/media-sound/loudgain/Manifest
@@ -0,0 +1 @@
+DIST loudgain-0.6.8.tar.gz 27351854 BLAKE2B 
2f4cc5bb6d00a8b5a94183ca04041610ad629a7f869f4a474672316be4c8bb1bd6b1793cd1862f4c3e5b0e977b97d26047ec84792d67b1b4368bd21535c957fe
 SHA512 
e41bb6ee3dd85728b8b59b84a1371a88a439a30166db628fae70abe5c20cf9b6c450ee5b1aaa61c971de124cd9be9dbacac4b50f232f64c076d45aafc79ed94c

diff --git a/media-sound/loudgain/loudgain-0.6.8.ebuild 
b/media-sound/loudgain/loudgain-0.6.8.ebuild
new file mode 100644
index ..e0cc9047
--- /dev/null
+++ b/media-sound/loudgain/loudgain-0.6.8.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Versatile ReplayGain 2.0 loudness normalizer"
+HOMEPAGE="https://github.com/Moonbase59/loudgain;
+SRC_URI="https://github.com/Moonbase59/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+#REQUIRED_USE=""
+
+COMMON_DEPEND="
+   media-video/ffmpeg
+   media-libs/libebur128
+   media-libs/taglib
+"
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${COMMON_DEPEND}"
+
+src_install() {
+   cmake_src_install
+   dodoc README.md
+}

diff --git a/media-sound/loudgain/metadata.xml 
b/media-sound/loudgain/metadata.xml
new file mode 100644
index ..b49821fb
--- /dev/null
+++ b/media-sound/loudgain/metadata.xml
@@ -0,0 +1,14 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   lo48...@hard-wi.red
+   YOSHIOKA Takuma
+   
+   
+   Moonbase59/loudgain
+   
+   
+   loudgain is a versatile ReplayGain 2.0 loudness normalizer, 
based on the EBU R128/ITU BS.1770 standard (-18 LUFS) and supports 
FLAC/Ogg/MP2/MP3/MP4/M4A/ALAC/Opus/ASF/WMA/WAV/WavPack/AIFF/APE audio files. It 
uses the well-known mp3gain commandline syntax but will never modify the actual 
audio data.
+   
+